package main

import (
	"context"

	"ucl.lmika.dev/ucl"
)

type uclInstKeyType struct{}

var uclInstKey = uclInstKeyType{}

func uclInstFromContext(ctx context.Context) *ucl.Inst {
	return ctx.Value(uclInstKey).(*ucl.Inst)
}
